///////////////////Таблица умножения
const body = document.querySelector('body');

let table = document.createElement('table');
body.prepend(table);

// function createTable(size){
//     for(let i = 0; i < size; i++){
//         let tr = document.createElement('tr');
//         table.append(tr);
        
//         for(let j = 0; j < size; j++){
//             let td = document.createElement('td');
//             tr.append(td);
//             td.classList.add('cell');
//             if(i === 0){
//                 td.innerHTML = 1 * j
//             } else if (j === 0){
//                 td.innerHTML = i * 1;
//             } else {
//                 td.innerHTML = i * j
//             }

//             if(i%2!==0){
//                 td.style.backgroundColor = '#f0f0f0'
//             }
            
//         }
//     }
// }

// createTable(20);

///////////////////////////////////////////////////Подсветить ячейку

// function createTable(size){
//     for(let i = 0; i < size; i++){
//         let tr = document.createElement('tr');
//         table.append(tr);
        
//         for(let j = 0; j < size; j++){
//             let td = document.createElement('td');
//             tr.append(td);
//             td.classList.add('cell');

//             if(i === 0){
//                 td.innerHTML = 1 * j
//             } else if (j === 0){
//                 td.innerHTML = i * 1;
//             } else {
//                 td.innerHTML = i * j
//             }

//             td.onmouseover = function(e){                                         ///<= 
//                 this.style.backgroundColor = 'green'                              
//             }                                                                     
                                                                                   
//             if(i%2!==0){                                                                 
//                 td.style.backgroundColor = '#e0e0e0'                              
//                 td.onmouseout = function(e){                                      
//                     this.style.backgroundColor = '#e0e0e0'                        
//                 }                                                                 
//             } else {                                                              
//                 td.onmouseout = function(e){
//                     this.style.backgroundColor =''
//                 }
//             }
            
//         }
//     }
// }

// createTable(15);

/////////////////////////////////////////Подсветить строку и столбец
function onLight(elem){                                                     

    let rowIndex = elem.parentElement.rowIndex;
    let cellIndex = elem.cellIndex;
    let rows = [...document.querySelectorAll('tr')];

    for (let i = 0; i <= rowIndex; i++){                                                     
        rows[i].children[cellIndex].style.backgroundColor = 'green'
    }

    let childrenArray = [...rows[rowIndex].children];                                       
    for (let i = 0; i <= cellIndex; i++){
        childrenArray[i].style.backgroundColor = 'green';
    }
}

function createTable(size){
    for(let i = 0; i < size; i++){
        let tr = document.createElement('tr');
        table.append(tr);
        
        for(let j = 0; j < size; j++){
            let td = document.createElement('td');
            tr.append(td);
            td.classList.add('cell');

            if(i === 0){
                td.innerHTML = 1 * j
            } else if (j === 0){
                td.innerHTML = i * 1;
            } else {
                td.innerHTML = i * j
            }

            if(i%2!==0){                                                                 
                td.style.backgroundColor = '#e0e0e0'                              
                                                                                
            } 

            td.onmouseover = function(e){                                        
                
                onLight(this);                
            }                                                                     
                                                                                   
            
            
            td.onmouseout = function(e){
                let rows = [...document.querySelectorAll('tr')];
                for (let i = 0; i < rows.length; i++){
                    if(i%2 === 0){
                        let cells = [...rows[i].children];
                        cells.forEach((cell) => {
                            cell.style.backgroundColor = ''
                        })
                    } else {
                        let cells = [...rows[i].children];
                        cells.forEach((cell) => {
                            cell.style.backgroundColor = '#e0e0e0'
                        })
                    }
                }
                                            
            } 



        }
    }
}

createTable(20);


///////////////////////////////Calc

const inputDate = document.querySelector('.date');
const inputYear = document.querySelector('.year');
const select = document.querySelector('select');
const form = document.querySelector('.form');
const report = document.querySelector('.report');
const closeBtn = document.querySelector('.btn-close');




    

function getTime(year, month, day){
    
    let dBirth = new Date(year, month, day)
    let today = Date.now();

    let s = Math.floor((today - dBirth) /1000);
    let min = Math.floor(s/60);
    let hour = Math.floor(min/60);
    let days = Math.floor(hour/24);
    let years = Math.floor(days/365);                                           //помню что иногда 366, но идея задания работа с дом :)

    report.querySelector('div').innerHTML = `Вы прожили ${years} лет ${days} дней, ${hour} часов, ${min} минут, ${s} секунд`;
    report.style.display = 'block';
}

form.addEventListener("submit", function(e) {
    e.preventDefault();
        getTime(inputYear.value, select.value, inputDate.value)
    let timerId = setInterval(() => {
        getTime(inputYear.value, select.value, inputDate.value)
    },1000)
    
    closeBtn.addEventListener("click", (e) => {
        e.preventDefault();
        clearInterval(timerId);
       report.style.display = 'none';
    })
})

////////////////////////////calc live

const inputUsd = document.querySelector('.input-usd');
const inputUah = document.querySelector('.input-uah');
const exchangeRate = 27;
inputUsd.addEventListener("input", function(){
    inputUah.value = (+inputUsd.value) * exchangeRate;
});
inputUah.addEventListener("input", function(){
    inputUsd.value = (+inputUah.value) / exchangeRate;
})