/////////////////////////////////////////makeProfileTimer
function makeProfileTimer(){
    let startTime = performance.now();
    return function (){
        let finishTime = performance.now();
        return `прошло ${Math.round((finishTime - startTime) * 1000)} микросекунд`      // по условию именно МИКРОСЕКУНД, 
    }
}

let timer = makeProfileTimer();
alert('Замеряем время работы этого alert');
alert(timer());

/////////////////////////////////////////////////makeSaver
function makeSaver(MathRandom){
    let wasnotCalled = true;
    let number
    return function (){
        
        if (wasnotCalled){
            number = MathRandom()       //вызываем раз, 
            wasnotCalled = false        // и выключаем возможность вызова повторно (из условия)
        }
        return number
    }
}

let saver = makeSaver(Math.random);

let value1 = saver();
let value2 = saver();
let value3 = saver();
 
let saver2 = makeSaver(() => console.log('saved function called') || [null, undefined, false, '', 0, Math.random()][Math.ceil(Math.random()*6)])

let value4 = saver2();
let value5 = saver2();
let value6 = saver2();


let namePrompt = prompt.bind(window, 'Как тебя зовут?');
let nameSaver = makeSaver(namePrompt);
alert(`Привет! Prompt еще не было!`);
alert(`Привет ${nameSaver()}. Только что запустился prompt, первый и последний раз`);
alert(`Слушай, ${nameSaver()}, го пить пиво. Ведь prompt был только один раз`);


//////////////////////////////////////Final Countdown
// alert('start');
// (function (sec = 0){
//     for (let i = 5; i >= 0; i--){
//         setTimeout(() => {
//             i ? console.log(i) : console.log('поехали')
            
//         }, (sec++) * 1000 )
//     }
// })()

/////////////////////////////////////////////////////myBind 
function myBind(func, thisArgs, bindedParams){
    return function (...args){
        let count = 0;
        let combinedParams = []
        bindedParams.forEach((item) => {
            if(item === undefined){                    // находим undefined
                combinedParams = [...combinedParams, args[count]]    // добавляем из переданных args
                count++   //увеличиваем счетчик, чтобы брать следующий элемент
            } else {
                combinedParams = [...combinedParams,item] // если не undefined, то его же и берем, не изменяя bindedParams
            }
        })
        
        for (; count < args.length; count++){                      // подкидываем все остальные
            combinedParams = [...combinedParams, args[count]] 
        }
        
        return func.call(thisArgs,...combinedParams);
    }
}

let pow5 = myBind(Math.pow, Math, [undefined, 5]);
let cube = myBind(Math.pow, Math, [undefined, 3]);
let chessMin = myBind(Math.min, Math, [undefined, 4, undefined, 5,undefined, 8,undefined, 9]);
let zeroPrompt = myBind(prompt, window, [undefined, "0"]);

console.log(pow5(2)) // => 32

console.log(cube(3)) // => 27
console.log(cube(4)) // => 64

console.log(chessMin(-1,-5,3,15,1, 1, -7)) // => -7   
console.log(chessMin(-6,5,-7,1)) // => -7   

let someNumber = zeroPrompt("Введите число");// в инпуте попадет 0, а "Введите число" как сообщение prompt


console.log(myBind((...params) => params.join(''), null, [undefined, 'b', undefined, undefined, 'e', 'f'])('a','c','d') === 'abcdef') // => true



